def divide_string(s, num_parts):
    n = len(s)
    part_size = n // num_parts
    sizes = [part_size + 1 if i < n % num_parts else part_size for i in range(num_parts)]
    parts = []
    start = 0
    for size in sizes:
        parts.append(s[start:start + size])
        start += size
    return parts

# Example usage
input_string = "12345678900"
num_parts = 3
parts = divide_string(input_string, num_parts)
for i, part in enumerate(parts):
    print(f"Part {i + 1}: {part}")